For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product Categories

Add new category

post

This is for adding a new category.

Header parameters
AuthorizationstringRequired
Body
parentIntinteger · int32Optional
sortOrderinteger · int32Required
statusinteger · int32Required
namestringRequired
imagestringOptional
metaTagTitlestringOptional
metaTagDescriptionstringOptional
metaTagKeywordstringOptional
categorySlugstringOptional
categoryDescriptionstringOptional
Responses
200

success response

application/json
namestringOptional
sortOrderstringOptional
metaTagTitlestringOptional
categorySlugstringOptional
metaTagDescriptionstringOptional
metaTagKeywordstringOptional
isActivestringOptional
categoryDescriptionstringOptional
createdDatestring · date-timeOptional
categoryIdinteger · int32Optional
post/category
POST /category HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 194

"parentInt=1&sortOrder=1&status=1&name='text'&image='text'&metaTagTitle='text'&metaTagDescription='text'&metaTagKeyword='text'&categorySlug='text'&categoryDescription='text'"
{
  "name": "text",
  "sortOrder": "text",
  "metaTagTitle": "text",
  "categorySlug": "text",
  "metaTagDescription": "text",
  "metaTagKeyword": "text",
  "isActive": "text",
  "categoryDescription": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "categoryId": 1
}

View list of categories

get

This is for fetching the list of added categories.

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringOptional
sortOrderintegerRequired
statusintegerRequired
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the vendor category list.
get/category
GET /category?limit=1&sortOrder=1&status=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the vendor category list."
}

Update existing category

put

This is for updating already existing category.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Body
categoryIdinteger · int32Required
parentIntinteger · int32Optional
sortOrderinteger · int32Required
statusinteger · int32Optional
namestringRequired
imagestringOptional
metaTagTitlestringOptional
metaTagDescriptionstringOptional
metaTagKeywordstringOptional
categorySlugstringOptional
categoryDescriptionstringOptional
Responses
200

success response

application/json
createdDatestringOptional
categoryIdintegerOptional
namestringOptional
imagestringOptional
imagePathstringOptional
sortOrderstringOptional
metaTagTitlestringOptional
metaTagDescriptionstringOptional
metaTagKeywordstringOptional
categorySlugstringOptional
isActivestringOptional
categoryDescriptionstringOptional
put/category/{id}
PUT /category/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 209

"categoryId=1&parentInt=1&sortOrder=1&status=1&name='text'&image='text'&metaTagTitle='text'&metaTagDescription='text'&metaTagKeyword='text'&categorySlug='text'&categoryDescription='text'"
{
  "createdDate": "text",
  "categoryId": 1,
  "name": "text",
  "image": "text",
  "imagePath": "text",
  "sortOrder": "text",
  "metaTagTitle": "text",
  "metaTagDescription": "text",
  "metaTagKeyword": "text",
  "categorySlug": "text",
  "isActive": "text",
  "categoryDescription": "text"
}

Delete unwated category

delete

This is for deleting a category that is not needed anymore.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Body
categoryIdinteger · int32Required
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully deleted category.
delete/category/{id}
DELETE /category/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 16

"categoryId=1"
{
  "status": 1,
  "message": "Successfully deleted category."
}

List the category as in tree.

get

This is for listing the category like in tree.

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringOptional
sortOrderintegerRequired
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get category List count " or " successfully got the complete category list.
get/category-list-intree
GET /category-list-intree?limit=1&sortOrder=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get category List count \" or \" successfully got the complete category list."
}

Update the category slug

put

This is for updating the existed category slug

Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully updated the category slug.
put/update-category-slug
PUT /update-category-slug HTTP/1.1
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully updated the category slug."
}

Count the Category

get

This is for count the total category

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringOptional
sortOrderintegerRequired
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get Category Count
get/category-count
GET /category-count?limit=1&sortOrder=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get Category Count"
}

View list of particular category

get

This is for getting the list of category.

Query parameters
categoryIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got category detail
get/category-detail
GET /category-detail?categoryId=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got category detail"
}

Getting the excel-sheet of category list

get

This is for getting the list of category on excel-sheet.

Query parameters
categoryIdstringRequired
keywordstringOptional
sortOrderintegerRequired
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: Choose atleast one category.
get/category-excel-list
GET /category-excel-list?categoryId=text&sortOrder=1 HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "Choose atleast one category."
}

Export all category

get

This is for export all the category.

Query parameters
statusintegerOptional
keywordstringOptional
sortOrderintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully exported
get/category-export-all
GET /category-export-all HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully exported"
}

Last updated